%define upstream_name Services_Amazon
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name: 		php-pear-%{upstream_name}
Version:     	0.9.0
Release:     	%mkrel 8
Summary:    	PHP interface to Amazon Product Advertising API
License: 	BSD
Group: 		Development/PHP
Source0: 	http://pear.php.net/get/Services_Amazon-%{version}.tgz
URL: 		http://pear.php.net/package/Services_Amazon
BuildRequires: 	php-pear >= 1.4.7
Requires: 	php-pear >= 1.4.0b1
Requires:	php-pear-HTTP_Request
Requires:	php-pear-XML_Serializer >= 0.17.0
BuildArch: 	noarch
%global		__requires_exclude_from %{_docdir}

%description
Services_Amazon:
* PHP interface to Amazon Product Advertising API
* All APIs are supported: Lookup and Search for products, carts, similar
items and so on
* Multiple locale support: US, UK, DE, JP, FR and CA
* Caching support
     
Services_AmazonECS4:
* DEPRECATED: After August 15, 2009, all requests will be denied.
* A class using Amazon Associates Web Service 4.0 (Amazon E-Commerce
Service 4.0)
* Provide associate links
* Remote cart support
* Multiple locale support: US, UK, DE, JP, FR and CA
* Caching support

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Services_Amazon.xml

%post
pear install --nodeps --soft --force --register-only %{xmldir}/Services_Amazon.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/Services_Amazon
fi

%files
%doc docs/Services_Amazon/*
%{peardir}/*
%{xmldir}/Services_Amazon.xml


%changelog
* Mon Feb 08 2016 umeabot <umeabot> 0.9.0-8.mga6
+ Revision: 949993
- Mageia 6 Mass Rebuild

* Mon Oct 20 2014 tv <tv> 0.9.0-7.mga5
+ Revision: 792122
- exclude deps from doc

* Wed Oct 15 2014 umeabot <umeabot> 0.9.0-6.mga5
+ Revision: 750636
- Second Mageia 5 Mass Rebuild

* Wed Oct 01 2014 tv <tv> 0.9.0-5.mga5
+ Revision: 734165
- rebuild for pear deps

* Tue Sep 16 2014 umeabot <umeabot> 0.9.0-4.mga5
+ Revision: 687451
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.9.0-3.mga4
+ Revision: 517180
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.9.0-2.mga3
+ Revision: 377244
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 14 2012 spuhler <spuhler> 0.9.0-1.mga2
+ Revision: 196163
- upgrade to 0.9.0
  pearized spec

* Sat Jan 29 2011 spuhler <spuhler> 0.7.0-6.mga1
+ Revision: 44179
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package php-pear-Services_Amazon


* Tue Dec 07 2010 Oden Eriksson <oeriksson@mandriva.com> 0.7.0-6mdv2011.0
+ Revision: 613767
- the mass rebuild of 2010.1 packages

* Tue Nov 17 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.7.0-5mdv2010.1
+ Revision: 467076
- spec cleanup
- use pear installer
- don't ship tests, even in documentation
- own all directories
- use rpm filetriggers starting from mandriva 2010.1

* Tue Sep 15 2009 Thierry Vignaud <tv@mandriva.org> 0.7.0-4mdv2010.0
+ Revision: 441564
- rebuild

* Thu Jul 17 2008 Oden Eriksson <oeriksson@mandriva.com> 0.7.0-3mdv2009.0
+ Revision: 237061
- rebuild

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 0.7.0-2mdv2008.1
+ Revision: 140730
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Jul 20 2007 Oden Eriksson <oeriksson@mandriva.com> 0.7.0-2mdv2008.0
+ Revision: 53923
- fix deps

* Fri Apr 20 2007 Oden Eriksson <oeriksson@mandriva.com> 0.7.0-1mdv2008.0
+ Revision: 15747
- 0.7.0


* Sat Nov 11 2006 Oden Eriksson <oeriksson@mandriva.com> 0.4.0-1mdv2007.0
+ Revision: 82565
- Import php-pear-Services_Amazon

* Fri Feb 10 2006 Oden Eriksson <oeriksson@mandriva.com> 0.4.0-1mdk
- 0.4.0
- new group (Development/PHP)

* Fri Aug 26 2005 Oden Eriksson <oeriksson@mandriva.com> 0.2.0-7mdk
- rebuilt to fix auto deps

* Wed Aug 10 2005 Oden Eriksson <oeriksson@mandriva.com> 0.2.0-6mdk
- rebuilt to use new pear auto deps/reqs from pld

* Sun Jul 31 2005 Oden Eriksson <oeriksson@mandriva.com> 0.2.0-5mdk
- fix deps

* Fri Jul 22 2005 Oden Eriksson <oeriksson@mandriva.com> 0.2.0-4mdk
- fix the package.xml file so it will register

* Thu Jul 21 2005 Oden Eriksson <oeriksson@mandriva.com> 0.2.0-3mdk
- reworked the %%post and %%preun stuff, like in conectiva
- fix deps

* Wed Jul 20 2005 Oden Eriksson <oeriksson@mandriva.com> 0.2.0-2mdk
- fix deps

* Tue Jul 19 2005 Oden Eriksson <oeriksson@mandriva.com> 0.2.0-1mdk
- initial Mandriva package (PLD import)

